package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--废水污染物排放浓度监测数据对象 b_stat_table_zxbg_water_emission
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--废水污染物排放浓度监测数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_water_emission")
public class BStatTableZxbgWaterEmission extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "类型")
    /** 类型 */
    private String zxbgPollutantType;

    @ApiModelProperty(value = "排放口编码")
    /** 排放口编码 */
    @Excel(name = "排放口编码")
    private String outletCode;


    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    @Excel(name = "污染物名称")
    private String pollutantName;


    @ApiModelProperty(value = "监测设施")
    /** 监测设施 */
    @Excel(name = "监测设施")
    private String monitoringFacilities;


    @ApiModelProperty(value = "设施名称")
    /** 设施名称 */
    private String facilityName;


    @ApiModelProperty(value = "许可排放浓度限值")
    /** 许可排放浓度限值 */
    @Excel(name = "许可排放浓度限值")
    private String emissionConcentration;


    @ApiModelProperty(value = "有效监测数据(日)数量")
    /** 有效监测数据(日)数量 */
    @Excel(name = "有效监测数据(日)数量")
    private String effectivelyDay;


    @ApiModelProperty(value = "检测结果（日均浓度）最小值mg/m3")
    /** 检测结果（日均浓度）最小值mg/m3 */
    @Excel(name = "检测结果（日均浓度）最小值mg/m3")
    private String detectionMinDay;


    @ApiModelProperty(value = "检测结果（日均浓度）最大值mg/m3")
    /** 检测结果（日均浓度）最大值mg/m3 */
    @Excel(name = "检测结果（日均浓度）最大值mg/m3")
    private String detectionMaxDay;


    @ApiModelProperty(value = "检测结果（日均浓度）平均值")
    /** 检测结果（日均浓度）平均值 */
    @Excel(name = "检测结果（日均浓度）平均值")
    private String detectionAvgDay;


    @ApiModelProperty(value = "超标数据个数")
    /** 超标数据个数 */
    @Excel(name = "超标数据个数")
    private String exceededData;


    @ApiModelProperty(value = "超标率（%）")
    /** 超标率（%） */
    @Excel(name = "超标率（%）")
    private String exceededRate;


    @ApiModelProperty(value = "实际排放量（吨）")
    /** 实际排放量（吨） */
    @Excel(name = "实际排放量（吨）")
    private String actualEmissions;


    @ApiModelProperty(value = "监测仪器名称或型号")
    /** 监测仪器名称或型号 */
    @Excel(name = "监测仪器名称或型号")
    private String instrumentName;


    @ApiModelProperty(value = "手工监测采样方法及个数")
    /** 手工监测采样方法及个数 */
    @Excel(name = "手工监测采样方法及个数")
    private String samplingMethod;


    @ApiModelProperty(value = "手工测定方法")
    /** 手工测定方法 */
    @Excel(name = "手工测定方法")
    private String manualMethod;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("zxbgPollutantType", getZxbgPollutantType())
            .append("createTime", getCreateTime())
            .append("remark", getRemark())
            .append("outletCode", getOutletCode())
            .append("pollutantName", getPollutantName())
            .append("monitoringFacilities", getMonitoringFacilities())
            .append("facilityName", getFacilityName())
            .append("emissionConcentration", getEmissionConcentration())
            .append("effectivelyDay", getEffectivelyDay())
            .append("detectionMinDay", getDetectionMinDay())
            .append("detectionMaxDay", getDetectionMaxDay())
            .append("detectionAvgDay", getDetectionAvgDay())
            .append("exceededData", getExceededData())
            .append("exceededRate", getExceededRate())
            .append("actualEmissions", getActualEmissions())
            .append("instrumentName", getInstrumentName())
            .append("samplingMethod", getSamplingMethod())
            .append("manualMethod", getManualMethod())
            .toString();
    }
}
